%define upstream_name Clownfish-CFC
%define upstream_version 0.5.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Compiler for Apache Clownfish
License:    ASL 2.0
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Clownfish/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::PPPort) >= 3.140.0
BuildRequires: perl(ExtUtils::CBuilder) >= 0.180.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.160.0
BuildRequires: perl(Module::Build) >= 0.280.801
BuildRequires: perl-devel
%description
Compiler for Apache Clownfish.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc LICENSE META.json META.yml MYMETA.yml NOTICE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.5.1-2.mga6
+ Revision: 1024264
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 0.5.1-1.mga6
+ Revision: 1007924
- update to 0.5.1

* Fri Feb 12 2016 umeabot <umeabot> 0.4.2-2.mga6
+ Revision: 956890
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.4.2-1.mga6
+ Revision: 842693
- update to 0.4.2

* Sun Oct 19 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 790724
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 748123
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-2.mga5
+ Revision: 683957
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 sander85 <sander85> 0.4.0-1.mga5
+ Revision: 671957
- imported package perl-Clownfish-CFC

